
$(function(){
	
	var SheFangObj = function(){
	
		/*
		 * 用于存储设防设备集合
		 *	数据结构 [{distance, lat, lng, region},{...}]
		 *			   distance :　设防半径
		 *			   lat、lng :  中心经纬度
		 *			   region   :  设防区域
		 *
		 *  数组下标为设备vid
		 *
		 */
		var sheFangVhc_ = [];
		
		/*
		 *用于操作设防设备集合的对象
		 *
		 */
		var operation = {
			
			/*添加设防设备*/
			add : function(vid, distance, lat, lng){
					
				sheFangVhc_[vid] = {
									  distance : distance,
									  lat : lat,
									  lng : lng,
									  region : ExliveMap.createCircle(distance, lat, lng)								
									};
			},
			/*删除设防设备*/
			del : function(vid){
				if(sheFangVhc_[vid]){			
					ExliveMap.delCircle(sheFangVhc_[vid].region);
					sheFangVhc_[vid] = null;
				}			
			},
			/*获取设防设备*/
			get : function(vid){
				return sheFangVhc_[vid] || null;
			},
			/*显示设防设备设防区域*/
			show : function(){
				var temp = null;
				for(var i = 0; i < sheFangVhc_.length; i++){
					temp = sheFangVhc_[i];
					if(temp != null) temp.region = ExliveMap.createCircle(temp.distance, temp.lat, temp.lng);
				}
			},
			/*打开设防窗口*/
			openSheFangWin : function(vid){
				   closeAllWin();//关闭所有窗口	monitor.js		  				   
				   openPopuWin($("#serverUrl").val() + "/gpsonline/jsp/yuandishefang/shefang.jsp?vid=" + vid);
			},
			/*取消设防*/
			cancleSheFang : function(vid){
			
					closeAllWin();//关闭所有窗口	monitor.js
					
					doRequest(
							  $("#serverUrl").val() + "json/vehiclecmdAction_chefang.action", 
							  {vid: vid}, 
							  function(result){
									if(result.flag){
										SheFang.del(vid);
									}else{
										alert(result.msg);
									}										
							 });
			}
		};
		
		return operation;
	
	}
	
	window.SheFang = new SheFangObj();

})
